Subject: Re: [pim] pim Digest, Vol 180, Issue 1

From: Liuyisong <[email-masked]>
Date: Tue, 2 Apr 2019 07:41:00 +0000

Hi Stig
      Thank you for your comments. Please see my reply below.
Thanks
Yisong

Date: Mon, 1 Apr 2019 11:51:27 -0700
From: Stig Venaas <[email-masked]>
To: [email-masked]
Subject: [pim] Comments on draft-liu-pim-assert-packing
Message-ID:
	<[email-masked]>
Content-Type: text/plain; charset="UTF-8"

Hi

I think this is a good idea, but I have some comments.

I don't think the use case section is very useful. It doesn't matter whether it is video, financial etc. It might be better to talk about topologies where asserts are likely to happen, but I'm not sure if even that is needed.
>>>Liuyisong: This section is to illustrate that assert is still widely used in the network environment of multicast applications. We will also consider the impact of topology and add related descriptions in this section.

The capability option announces a single capability type. What should a router that supports both announce? I would suggest to simplify and only have one format.
>>>Liuyisong: We want to provide multiple choices for implementors.  Because no one of the options is perfect.  A Implementor can choose one option depending on its requirements.

Regarding packing format. I think the format in first part of 4.3 is good. I don't understand why you need the second format with both RP address and source addresses. If you compare with PIM SM RFC, there is no RP address included in asserts even for a (*,G) assert.
>>>Liuyisong: Because a (*,G) assert actually depends on the route to the RP, and the actual number of RPs in the network deployment is relatively small, so we want to further aggregate the assert records of the same RP. 

Regarding the pim message type. I think you should use type sub-type format, see draft-ietf-pim-reserved-bits and draft-ietf-pim-null-register-packing. We need this to not use up the pim type space too quickly.
>>>Liuyisong: We use a new hello option to negotiate the assert packing capability and will consider the type sub-type format for the packed assert message.

Stig